<?php

function resource_booking_field_settings_views_data($field) {
  $data = array();
  $data['table']['group']  = t('Resource booking');
  $data['table']['join'] = array(
    'node' => array(
      'left_field' => 'nid',
      'field' => 'nid',
    ),
    'node_revisions' => array(
      'left_field' => 'vid',
      'field' => 'vid',
    ),
  );
  $data['rnid'] = array(
    'title' => t('Resource (@field_name)', array('@field_name' =>  $field['field_name'])),
    'help' => t('Resource that is booked'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_numeric',
      'name field' => 'Task node',
      'numeric' => TRUE,
    ),
    'relationship' => array(
      'title' => t('Resource node (@field_name)', array('@field_name' =>  $field['field_name'])),
      'help' => t('Resource for this node'),
      'handler' => 'views_handler_relationship',
      'base' => 'node',
      'base field' => 'nid',
      'field' => 'rnid',
      'label' => t('Resource node (@field_name)', array('@field_name' =>  $field['field_name'])),
    ),
  );
  $data['rb_status'] = array(
    'title' => t('Booking Status (@field_name)', array('@field_name' =>  $field['field_name'])),
    'help' => t('Status of resource booking Requested - r, Confirmed - c, Cancelled - x'),
    'field' => array(
      'handler' => 'views_handler_field_rb_status',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_string',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_string',
      'name field' => 'Resource status',
      'numeric' => FALSE,
    ),
  );
  $data['sdate'] = array(
    'title' => t('Start date'),
    'help' => t('Start date of resource booking'),
    'field' => array(
      'handler' => 'views_handler_field_date',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort_date',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_date',
    ),
  );
  $data['edate'] = array(
    'title' => t('End date'),
    'help' => t('End date of resource booking'),
    'field' => array(
      'handler' => 'views_handler_field_date',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort_date',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_date',
    ),
  );
  return array('resource_booking' => $data);
}
